Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## datechooser.beans.editor.utils
Class ColorChooseAction

    java.lang.Object
      datechooser.beans.editor.utils.ColorChooseAction

All Implemented Interfaces:
  java.awt.event.ActionListener, java.util.EventListener

    public class ColorChooseAction

extends java.lang.Object
implements java.awt.event.ActionListener

Button action listener, button is used as color chooser.
Событие - обработчик нажатия на кнопку выбора цвета. По сути и привращает кнопку в выборщик цвета.

Since:
  1.0
Author:
  Androsov Vadim

Field Summary
`static java.lang.String` | `COLOR_CHOOSE_EVENT_NAME`

Constructor Summary
`ColorChooseAction(ColorHolder colorHolder, java.lang.String prompt, java.awt.Component c)`

Method Summary
`void` | `actionPerformed(java.awt.event.ActionEvent e)`
`void` | `addPropertyChangeListener(java.beans.PropertyChangeListener listener)`
`java.awt.Color` | `getColor()`
`ColorHolder` | `getColorHolder()`
`java.awt.Component` | `getComponent()`
`java.lang.String` | `getPrompt()`
`void` | `removePropertyChangeListener(java.beans.PropertyChangeListener listener)`
`void` | `setColor(java.awt.Color color)`
`void` | `setColorHolder(ColorHolder colorHolder)`
`void` | `setComponent(java.awt.Component component)`
`void` | `setPrompt(java.lang.String prompt)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### COLOR_CHOOSE_EVENT_NAME

    public static final java.lang.String COLOR_CHOOSE_EVENT_NAME

See Also:
  Constant Field Values

Constructor Detail

### ColorChooseAction

    public ColorChooseAction(ColorHolder colorHolder,
                             java.lang.String prompt,
                             java.awt.Component c)

Method Detail

### actionPerformed

    public void actionPerformed(java.awt.event.ActionEvent e)

  Specified by:
    `actionPerformed` in interface `java.awt.event.ActionListener`

### addPropertyChangeListener

    public void addPropertyChangeListener(java.beans.PropertyChangeListener listener)

### removePropertyChangeListener

    public void removePropertyChangeListener(java.beans.PropertyChangeListener listener)

### getColor

    public java.awt.Color getColor()

### getColorHolder

    public ColorHolder getColorHolder()

### setColorHolder

    public void setColorHolder(ColorHolder colorHolder)

### setColor

    public void setColor(java.awt.Color color)

### getPrompt

    public java.lang.String getPrompt()

### setPrompt

    public void setPrompt(java.lang.String prompt)

### getComponent

    public java.awt.Component getComponent()

### setComponent

    public void setComponent(java.awt.Component component)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD